<?php

namespace Shop\Domain\DiscountRule;

use Repo\Concrete\AbstractCollection;
use Shop\Domain\DiscountRule\Contracts\DiscountRuleEntityInterface;

/**
 * Class DiscountRuleCollection
 * @package Shop\Domain\DiscountRule
 */
class DiscountRuleCollection extends AbstractCollection
{
    protected function getEntityClass(): string
    {
        return DiscountRuleEntityInterface::class;
    }
}
